.topnav {
  overflow: hidden;
}

@media screen and (max-width:600px) {
  .topnav a:not(:first-child) {
    display: none;
  }

  .topnav a.icon {
    float: right;
    display: block;

  }

  .spar {

    height: 30%;
    width: 100%;
  }

}

@media screen and (max-width:600px) {
  .topnav.responsive {
    position: relative;
  }

  .topnav.responsive a.icon {
    position: absolute;

    right: 0;
    top: 0;
  }

  .topnav.responsive a {
    float: none;
    display: block;
    text-align: left;
  }
}

/**********************************************************************************/
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800;900&display=swap');

* {
  font-family: 'Poppins', sans-serif;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
  border: none;
  outline: none;
  scroll-behavior: smooth;

}

:root {
  --bg-color:  #ffffff;
  --second-bg-color: #f8f8f8;
  --text-color: #333;
  --main-color: #ff8c00;

}

html {
  overflow-x: hidden;
}

body {
  background: var(--bg-color);
  color: var(--text-color);
}

body {
  width: 100%;
  margin: 0px;
  padding: 0px;
}

.topnav {
  width: 100%;
  background-color: #f8f8f8;
  height: 80px;
  display: flex;
  justify-content: space-around;
  align-items: center;
}

.topnav a {

  font-size: 1.2rem;
  color: var(--text-color);
  margin-left: 4rem;
  transition: .3s;
}

.topnav a:hover,
.topnav a.active {
  color: var(--main-color);
  font-size: large;
  font-weight: 500;
}

#logo {
  width: 80px;
  height: 75px;
}

#resume-button-1 {
  background-color: #f8f8f8 ;
  border-radius: 5%;
  justify-content: center;
}

/**************************************** home Section **************************************/

.home-img {
  height: 10%;
  margin-left: 50%;
  margin-top: auto;
  border-radius: 10%;
  margin-top: 100px;
  width: 25vw;
  animation: floatImage 10s ease-in-out infinite;
}

#home {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 50px;
  /* margin-right: 20px; */

}

#card1 h3,
h6 {
  font-size: 2.2rem;
  font-weight: 700;
  font-family: 'Times New Roman', Times, serif;
}

#card1 h6 {
  font-size: 3rem;
  color: rgb(116, 207, 250);
  font-weight: 700;
  font-family: 'Times New Roman', Times, serif;
}

@keyframes floatImage {
  0% {
    transform: translateX(0);
  }

  50% {
    transform: translateX(-2.4rem);
  }

  100% {
    transform: translateX(0);
  }
}

#resume-button-2 {
  display: inline-block;
  padding: 1rem 2.8rem;
  border-radius: 4rem;
  background: var(--main-color);
  margin-top: 20px;
  box-shadow: 0 0 1.3rem var(--main-color);
  font-size: 1.6rem;
  letter-spacing: .1rem;
  font-weight: 600;
}

#resume-button-2 :hover {
  box-shadow: none;
  font-size: 2rem;
  transition: 0.7s ease;


}

/**********************************************About Me**********************************************************/

#about {
  margin: 50px;
  text-align: center;
  height: 90vh;
}

h2 {
  font-size: 4rem;
  color: #333;
  font-weight: 700;
  font-family: 'Times New Roman', Times, serif;
  
}

#user-detail-intro {
  margin-top: 30px;

}
#user{
  margin-top: 30px;
}

h3 {
  font-family: 'Raleway', sans-serif;
  font-size: 1.6rem;
}

.about-img img {
  width: 100vw;
  height: 100%;
  width: 60%;
  margin-left: 30%;
  margin-top: auto;
  border-radius: 10px;
}



.about h3 {
  text-align: left;
  line-height: 1.2;
}

/**********************************************Skills**********************************************************/


#heading {
  margin-top: 150px;
  text-align: center;
}


#skills {
  padding: 160px;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  gap: 1rem;

}

#skills .skills-card {
  flex: 1 1 20rem;
  background: var(--second-bg-color);
  padding: 30px;
  border-radius: 1rem;
  text-align: center;
  border: .2rem solid var(--bg-color);
  transition: .5s ease;
}

#skills .skills-card {
  border-color: var(--main-color);
  transform: scale(1.02);

}


.skills-card {
  font-size: 2rem;
}



.skills-card img {
  height: 100px;
  width: 100px;
  margin: 20px;
}



/******************************************************* Portfolio Section ************************************/

#projects {
  width: 100vw;
  padding: 100px;
  height: auto;
  display: grid;
  grid-template-columns: 1fr , 1fr;
  justify-content: center;
  align-items: center;
  gap: 2rem;
  margin-bottom: 50px;
}

.project-card {
  width: 100%;
  background: var(--second-bg-color);
  padding: 10px;
  border-radius: 1rem;
  text-align: center;
}

.project-card img {
  padding: 20px;
  width: 100%;
  height: auto;
  transition: 0.5s ease;
}

.project-card .bx,
.devicon-github-original-wordmark {
  padding-top: 2rem;
  font-size: 54px;
  color: var(--main-color);
}

.project-card:hover img {
  transform: scale(1.1);
}

/* Additional styles for responsiveness */
@media screen and (max-width: 768px) {
  #projects {
    grid-template-columns: 1fr;
    padding: 50px;
  }
}


/********************************Contect Section Css*******************/

.msgs {
  margin: 30px;
  display: grid;
  grid-template-rows: 1fr;
  gap: 40px;
  align-items: center;
  justify-content: center;
}

.msgs input,
textarea {
  width: 50vw;
  height: 150%;
  border-radius: 5px;
  padding: 3px;

}

#form-submit {
  margin: auto;
  width: 17vw;
  height: 5vh;
  background: rgb(19, 164, 247);
  font-weight: 600;
}

#contact-socials {
  margin: 50px;
  margin-top: 50px;
  display: block;
}

#contact-not-git{
  color: white;
  text-align: center;
}

/*****************************Footer**********************************/

footer {
  display: grid;
  place-items: center;
  padding: 20px;
  color: #000;
}

footer h3 {
  font-size: 2.5rem;
  margin-bottom: 1.6rem;
  color: var(--text-color)
}

.social a i {
  color: rgb(10, 26, 208);
  font-size: 25px;
  margin-left: 10px;
  text-align: center;
  line-height: 40px;
  background-color: #fff;
  border-radius: 50%;
  width: 40px;
  height: 40px;
}
.copyright {
  padding: 20px;
  margin-top: 20px;
  width: 100%;
  background: rgb(7, 150, 244);
  text-align: center;
  color: #fff;
}
.copyright a {
  color: #22cf91;
}
/*************** BreakPoint ********************/
@media (max-width:1200px) {
  html {
    font-size: 55%;
  }
}
@media(max-width: 991px) {
  .header {
    padding: 2rem 3%;
  }

  section {
    padding: 10rem 3% 2rem;
  }

  .services {
    padding-bottom: 7rem;
  }

  .portfolio {
    padding-bottom: 7rem;
  }

  .contact_section {
    min-height: auto;
  }

  .footer {
    padding: 2rem 3%;
  }
}

@media(max-width: 768px) {
  #menu-icon {
    display: block;
  }

  .navbar {
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    padding: 1rem 3%;
    background: var(--bg-color);
    border-top: .1rem solid rgba(0, 0, 0, .2);
    box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .2);
    display: none;
  }

  .navbar.active {
    display: block;
  }

  .navbar a {
    display: block;
    font-size: 1rem;
    margin: 3rem 0;
  }

  .section {
    flex-direction: column;
  }

  .home-content h3 {
    font-size: 2.6rem;
  }

  .home-content h1 {
    font-size: 5rem;
  }

  .home-img img {
    width: 70vw;
    margin-top: .2rem;
  }

  .about_section {
    flex-direction: column-reverse;
    margin-top: 5rem;

  }

  .about_section img {
    width: 70vw;
    margin-top: 3rem;
    margin-right: 70rem;
  }

  .services h2 {
    margin-bottom: 20rem;
  }

  .portfolio h2 {
    margin-top: 80rem;
  }

  .portfolio-container {
    grid-template-columns: repeat(2, 1fr);
  }

  .project-card{
    grid-template-columns: repeat(2, 1fr);
  }

}

@media (max-width: 617px) {
  .portfolio-container {
    grid-template-columns: 1fr;
  }

}

@media (max-width: 450px) {
  html {
    font-size: 50%;
  }

  .contact_section from .input-box input {
    width: 100%;
  }
}

@media (max-width: 365px) {
  .home-img img {
    width: 90vw;
  }

  .about-img img {
    width: 90vw;
  }

  .footer {
    flex-direction: column-reverse;
  }

  .footer p {
    text-align: center;
    margin-top: 2rem;
  }
}